html5lib Package
================

.. automodule:: html5lib
    :members: __version__

:mod:`constants` Module
-----------------------

.. automodule:: html5lib.constants
    :members:
    :show-inheritance:

:mod:`html5parser` Module
-------------------------

.. automodule:: html5lib.html5parser
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`serializer` Module
------------------------

.. automodule:: html5lib.serializer
    :members:
    :show-inheritance:
    :special-members: __init__

Subpackages
-----------

.. toctree::

    html5lib.filters
    html5lib.treebuilders
    html5lib.treewalkers
    html5lib.treeadapters
